/* Sentinel - IRC Statistical and Operator Services
** match.c - IRCnet derived match() and family
**
** Copyright W. Campbell and others.  See README for more details
** Some code Copyright: Jonathan George, Kai Seidler, ircd-hybrid Team,
**                      IRCnet IRCD developers.
**
** $Id: match.h,v 1.7 2003/04/07 14:32:45 wcampbel Exp $
*/

#ifndef MATCH_H
#define MATCH_H

#include "config.h"

#ifdef USE_ASCII_CASEMAP
#define ToLower(c)  (tolower((c)))
#define ToUpper(c)  (toupper((c)))

#define irccmp(a, b)	(strcmp((a), (b)))
#define irccasecmp(a, b)	(strcasecmp((a), (b)))
#define ircncmp(a, b, n)	(strncmp((a), (b), (n)))
#define ircncasecmp(a, b, n)	(strncasecmp((a), (b), (n)))

#else

/*
* character macros
*/
extern const unsigned char ToLowerTab[];
#define ToLower(c) (ToLowerTab[(unsigned char)(c)])

extern const unsigned char ToUpperTab[];
#define ToUpper(c) (ToUpperTab[(unsigned char)(c)])

int irccmp(char *, char *);
int irccasecmp(char *, char *);
int ircncmp(char *, char *, int);
int ircncasecmp(char *, char *, int);

#endif /* USE_ASCII_CASEMAP */

int match(char *, char *);
char *collapse(char *);

#endif
